<?php
/* Autor...:  */
/* Esquema.: CP_Obligaciones.xml */
/* Generado: 2021-09-02 06:54:24 */

/* Metodos de acceso a los campos de la tabla CP_Obligaciones */
abstract class BaseCP_ObligacionesBN
{
    /* Campos de la tabla */
    private $i_ObligacionesId;    // ObligacionesId: ( no definido )
    private $i_IdCompania;    // IdCompania: ( no definido )
    private $i_IdSucursal;    // IdSucursal: ( no definido )
    private $s_IdTipoDocumento;    // IdTipoDocumento: ( no definido )
    private $s_Periodo;    // Periodo: ( no definido )
    private $d_FechaEmision;    // FechaEmision: ( no definido )
    private $d_FechaVencimiento;    // FechaVencimiento: ( no definido )
    private $d_FechaProgramacion;    // FechaProgramacion: ( no definido )
    private $s_DocumentoSerie;    // DocumentoSerie: ( no definido )
    private $s_DocumentoNumero;    // DocumentoNumero: ( no definido )
    private $s_DocumentoSerieNumero;    // DocumentoSerieNumero: ( no definido )
    private $i_NumeroOC;    // NumeroOC: ( no definido )
    private $i_ProveedorId;    // ProveedorId: ( no definido )
    private $s_ProveedorDocTipo;    // ProveedorDocTipo: ( no definido )
    private $s_ProveedorDocNum;    // ProveedorDocNum: ( no definido )
    private $s_ProveedorNombre;    // ProveedorNombre: ( no definido )
    private $i_IdProyecto;    // IdProyecto: ( no definido )
    private $s_ProyectoNombre;    // ProyectoNombre: ( no definido )
    private $s_Descripcion;    // Descripcion: ( no definido )
    private $i_TerminoId;    // TerminoId: ( no definido )
    private $i_MetodoPagoId;    // MetodoPagoId: ( no definido )
    private $s_IdMoneda;    // IdMoneda: ( no definido )
    private $f_TipoCambio;    // TipoCambio: ( no definido )
    private $i_AfectoIGV;    // AfectoIGV: ( no definido )
    private $f_MontoAfecto;    // MontoAfecto: ( no definido )
    private $f_MontoAfectoMN;    // MontoAfectoMN: ( no definido )
    private $f_MontoNoAfecto;    // MontoNoAfecto: ( no definido )
    private $f_MontoNoAfectoMN;    // MontoNoAfectoMN: ( no definido )
    private $f_MontoIGV;    // MontoIGV: ( no definido )
    private $f_MontoIGVMN;    // MontoIGVMN: ( no definido )
    private $f_MontoTotal;    // MontoTotal: ( no definido )
    private $f_MontoTotalMN;    // MontoTotalMN: ( no definido )
    private $f_MontoPagado;    // MontoPagado: ( no definido )
    private $f_MontoPagadoMN;    // MontoPagadoMN: ( no definido )
    private $f_MontoSaldo;    // MontoSaldo: ( no definido )
    private $f_MontoSaldoMN;    // MontoSaldoMN: ( no definido )
    private $i_ComprobanteRefId;    // ComprobanteRefId: ( no definido )
    private $s_ComprobanteTipoRefId;    // ComprobanteTipoRefId: ( no definido )
    private $s_ComprobanteSerieNumeroRef;    // ComprobanteSerieNumeroRef: ( no definido )
    private $d_ComprobanteFechaEmisionRef;    // ComprobanteFechaEmisionRef: ( no definido )
    private $s_Estado;    // Estado: ( no definido )
    private $s_EstadoPagado;    // EstadoPagado: ( no definido )
    private $d_FechaPago;    // FechaPago: ( no definido )
    private $s_UsuarioCreacion;    // UsuarioCreacion: ( no definido )
    private $d_FechaCreacion;    // FechaCreacion: ( no definido )
    private $s_UsuarioModificacion;    // UsuarioModificacion: ( no definido )
    private $d_FechaModificacion;    // FechaModificacion: ( no definido )

    /* Establece el valor del campo ObligacionesId */
    public function setObligacionesId( $i_ObligacionesId )
    {
        $this->i_ObligacionesId = $i_ObligacionesId;
    }

    /* Obtiene el valor del campo ObligacionesId */
    public function getObligacionesId()
    {
        return $this->i_ObligacionesId;
    }

    /* Establece el valor del campo IdCompania */
    public function setIdCompania( $i_IdCompania )
    {
        $this->i_IdCompania = $i_IdCompania;
    }

    /* Obtiene el valor del campo IdCompania */
    public function getIdCompania()
    {
        return $this->i_IdCompania;
    }

    /* Establece el valor del campo IdSucursal */
    public function setIdSucursal( $i_IdSucursal )
    {
        $this->i_IdSucursal = $i_IdSucursal;
    }

    /* Obtiene el valor del campo IdSucursal */
    public function getIdSucursal()
    {
        return $this->i_IdSucursal;
    }

    /* Establece el valor del campo IdTipoDocumento */
    public function setIdTipoDocumento( $s_IdTipoDocumento )
    {
        $this->s_IdTipoDocumento = $s_IdTipoDocumento;
    }

    /* Obtiene el valor del campo IdTipoDocumento */
    public function getIdTipoDocumento()
    {
        return $this->s_IdTipoDocumento;
    }

    /* Establece el valor del campo Periodo */
    public function setPeriodo( $s_Periodo )
    {
        $this->s_Periodo = $s_Periodo;
    }

    /* Obtiene el valor del campo Periodo */
    public function getPeriodo()
    {
        return $this->s_Periodo;
    }

    /* Establece el valor del campo FechaEmision */
    public function setFechaEmision( $d_FechaEmision )
    {
        $this->d_FechaEmision = $d_FechaEmision;
    }

    /* Obtiene el valor del campo FechaEmision */
    public function getFechaEmision()
    {
        return $this->d_FechaEmision;
    }

    /* Establece el valor del campo FechaVencimiento */
    public function setFechaVencimiento( $d_FechaVencimiento )
    {
        $this->d_FechaVencimiento = $d_FechaVencimiento;
    }

    /* Obtiene el valor del campo FechaVencimiento */
    public function getFechaVencimiento()
    {
        return $this->d_FechaVencimiento;
    }

    /* Establece el valor del campo FechaProgramacion */
    public function setFechaProgramacion( $d_FechaProgramacion )
    {
        $this->d_FechaProgramacion = $d_FechaProgramacion;
    }

    /* Obtiene el valor del campo FechaProgramacion */
    public function getFechaProgramacion()
    {
        return $this->d_FechaProgramacion;
    }

    /* Establece el valor del campo DocumentoSerie */
    public function setDocumentoSerie( $s_DocumentoSerie )
    {
        $this->s_DocumentoSerie = $s_DocumentoSerie;
    }

    /* Obtiene el valor del campo DocumentoSerie */
    public function getDocumentoSerie()
    {
        return $this->s_DocumentoSerie;
    }

    /* Establece el valor del campo DocumentoNumero */
    public function setDocumentoNumero( $s_DocumentoNumero )
    {
        $this->s_DocumentoNumero = $s_DocumentoNumero;
    }

    /* Obtiene el valor del campo DocumentoNumero */
    public function getDocumentoNumero()
    {
        return $this->s_DocumentoNumero;
    }

    /* Establece el valor del campo DocumentoSerieNumero */
    public function setDocumentoSerieNumero( $s_DocumentoSerieNumero )
    {
        $this->s_DocumentoSerieNumero = $s_DocumentoSerieNumero;
    }

    /* Obtiene el valor del campo DocumentoSerieNumero */
    public function getDocumentoSerieNumero()
    {
        return $this->s_DocumentoSerieNumero;
    }

    /* Establece el valor del campo NumeroOC */
    public function setNumeroOC( $i_NumeroOC )
    {
        $this->i_NumeroOC = $i_NumeroOC;
    }

    /* Obtiene el valor del campo NumeroOC */
    public function getNumeroOC()
    {
        return $this->i_NumeroOC;
    }

    /* Establece el valor del campo ProveedorId */
    public function setProveedorId( $i_ProveedorId )
    {
        $this->i_ProveedorId = $i_ProveedorId;
    }

    /* Obtiene el valor del campo ProveedorId */
    public function getProveedorId()
    {
        return $this->i_ProveedorId;
    }

    /* Establece el valor del campo ProveedorDocTipo */
    public function setProveedorDocTipo( $s_ProveedorDocTipo )
    {
        $this->s_ProveedorDocTipo = $s_ProveedorDocTipo;
    }

    /* Obtiene el valor del campo ProveedorDocTipo */
    public function getProveedorDocTipo()
    {
        return $this->s_ProveedorDocTipo;
    }

    /* Establece el valor del campo ProveedorDocNum */
    public function setProveedorDocNum( $s_ProveedorDocNum )
    {
        $this->s_ProveedorDocNum = $s_ProveedorDocNum;
    }

    /* Obtiene el valor del campo ProveedorDocNum */
    public function getProveedorDocNum()
    {
        return $this->s_ProveedorDocNum;
    }

    /* Establece el valor del campo ProveedorNombre */
    public function setProveedorNombre( $s_ProveedorNombre )
    {
        $this->s_ProveedorNombre = $s_ProveedorNombre;
    }

    /* Obtiene el valor del campo ProveedorNombre */
    public function getProveedorNombre()
    {
        return $this->s_ProveedorNombre;
    }

    /* Establece el valor del campo IdProyecto */
    public function setIdProyecto( $i_IdProyecto )
    {
        $this->i_IdProyecto = $i_IdProyecto;
    }

    /* Obtiene el valor del campo IdProyecto */
    public function getIdProyecto()
    {
        return $this->i_IdProyecto;
    }

    /* Establece el valor del campo ProyectoNombre */
    public function setProyectoNombre( $s_ProyectoNombre )
    {
        $this->s_ProyectoNombre = $s_ProyectoNombre;
    }

    /* Obtiene el valor del campo ProyectoNombre */
    public function getProyectoNombre()
    {
        return $this->s_ProyectoNombre;
    }

    /* Establece el valor del campo Descripcion */
    public function setDescripcion( $s_Descripcion )
    {
        $this->s_Descripcion = $s_Descripcion;
    }

    /* Obtiene el valor del campo Descripcion */
    public function getDescripcion()
    {
        return $this->s_Descripcion;
    }

    /* Establece el valor del campo TerminoId */
    public function setTerminoId( $i_TerminoId )
    {
        $this->i_TerminoId = $i_TerminoId;
    }

    /* Obtiene el valor del campo TerminoId */
    public function getTerminoId()
    {
        return $this->i_TerminoId;
    }

    /* Establece el valor del campo MetodoPagoId */
    public function setMetodoPagoId( $i_MetodoPagoId )
    {
        $this->i_MetodoPagoId = $i_MetodoPagoId;
    }

    /* Obtiene el valor del campo MetodoPagoId */
    public function getMetodoPagoId()
    {
        return $this->i_MetodoPagoId;
    }

    /* Establece el valor del campo IdMoneda */
    public function setIdMoneda( $s_IdMoneda )
    {
        $this->s_IdMoneda = $s_IdMoneda;
    }

    /* Obtiene el valor del campo IdMoneda */
    public function getIdMoneda()
    {
        return $this->s_IdMoneda;
    }

    /* Establece el valor del campo TipoCambio */
    public function setTipoCambio( $f_TipoCambio )
    {
        $this->f_TipoCambio = $f_TipoCambio;
    }

    /* Obtiene el valor del campo TipoCambio */
    public function getTipoCambio()
    {
        return $this->f_TipoCambio;
    }

    /* Establece el valor del campo AfectoIGV */
    public function setAfectoIGV( $i_AfectoIGV )
    {
        $this->i_AfectoIGV = $i_AfectoIGV;
    }

    /* Obtiene el valor del campo AfectoIGV */
    public function getAfectoIGV()
    {
        return $this->i_AfectoIGV;
    }

    /* Establece el valor del campo MontoAfecto */
    public function setMontoAfecto( $f_MontoAfecto )
    {
        $this->f_MontoAfecto = $f_MontoAfecto;
    }

    /* Obtiene el valor del campo MontoAfecto */
    public function getMontoAfecto()
    {
        return $this->f_MontoAfecto;
    }

    /* Establece el valor del campo MontoAfectoMN */
    public function setMontoAfectoMN( $f_MontoAfectoMN )
    {
        $this->f_MontoAfectoMN = $f_MontoAfectoMN;
    }

    /* Obtiene el valor del campo MontoAfectoMN */
    public function getMontoAfectoMN()
    {
        return $this->f_MontoAfectoMN;
    }

    /* Establece el valor del campo MontoNoAfecto */
    public function setMontoNoAfecto( $f_MontoNoAfecto )
    {
        $this->f_MontoNoAfecto = $f_MontoNoAfecto;
    }

    /* Obtiene el valor del campo MontoNoAfecto */
    public function getMontoNoAfecto()
    {
        return $this->f_MontoNoAfecto;
    }

    /* Establece el valor del campo MontoNoAfectoMN */
    public function setMontoNoAfectoMN( $f_MontoNoAfectoMN )
    {
        $this->f_MontoNoAfectoMN = $f_MontoNoAfectoMN;
    }

    /* Obtiene el valor del campo MontoNoAfectoMN */
    public function getMontoNoAfectoMN()
    {
        return $this->f_MontoNoAfectoMN;
    }

    /* Establece el valor del campo MontoIGV */
    public function setMontoIGV( $f_MontoIGV )
    {
        $this->f_MontoIGV = $f_MontoIGV;
    }

    /* Obtiene el valor del campo MontoIGV */
    public function getMontoIGV()
    {
        return $this->f_MontoIGV;
    }

    /* Establece el valor del campo MontoIGVMN */
    public function setMontoIGVMN( $f_MontoIGVMN )
    {
        $this->f_MontoIGVMN = $f_MontoIGVMN;
    }

    /* Obtiene el valor del campo MontoIGVMN */
    public function getMontoIGVMN()
    {
        return $this->f_MontoIGVMN;
    }

    /* Establece el valor del campo MontoTotal */
    public function setMontoTotal( $f_MontoTotal )
    {
        $this->f_MontoTotal = $f_MontoTotal;
    }

    /* Obtiene el valor del campo MontoTotal */
    public function getMontoTotal()
    {
        return $this->f_MontoTotal;
    }

    /* Establece el valor del campo MontoTotalMN */
    public function setMontoTotalMN( $f_MontoTotalMN )
    {
        $this->f_MontoTotalMN = $f_MontoTotalMN;
    }

    /* Obtiene el valor del campo MontoTotalMN */
    public function getMontoTotalMN()
    {
        return $this->f_MontoTotalMN;
    }

    /* Establece el valor del campo MontoPagado */
    public function setMontoPagado( $f_MontoPagado )
    {
        $this->f_MontoPagado = $f_MontoPagado;
    }

    /* Obtiene el valor del campo MontoPagado */
    public function getMontoPagado()
    {
        return $this->f_MontoPagado;
    }

    /* Establece el valor del campo MontoPagadoMN */
    public function setMontoPagadoMN( $f_MontoPagadoMN )
    {
        $this->f_MontoPagadoMN = $f_MontoPagadoMN;
    }

    /* Obtiene el valor del campo MontoPagadoMN */
    public function getMontoPagadoMN()
    {
        return $this->f_MontoPagadoMN;
    }

    /* Establece el valor del campo MontoSaldo */
    public function setMontoSaldo( $f_MontoSaldo )
    {
        $this->f_MontoSaldo = $f_MontoSaldo;
    }

    /* Obtiene el valor del campo MontoSaldo */
    public function getMontoSaldo()
    {
        return $this->f_MontoSaldo;
    }

    /* Establece el valor del campo MontoSaldoMN */
    public function setMontoSaldoMN( $f_MontoSaldoMN )
    {
        $this->f_MontoSaldoMN = $f_MontoSaldoMN;
    }

    /* Obtiene el valor del campo MontoSaldoMN */
    public function getMontoSaldoMN()
    {
        return $this->f_MontoSaldoMN;
    }

    /* Establece el valor del campo ComprobanteRefId */
    public function setComprobanteRefId( $i_ComprobanteRefId )
    {
        $this->i_ComprobanteRefId = $i_ComprobanteRefId;
    }

    /* Obtiene el valor del campo ComprobanteRefId */
    public function getComprobanteRefId()
    {
        return $this->i_ComprobanteRefId;
    }

    /* Establece el valor del campo ComprobanteTipoRefId */
    public function setComprobanteTipoRefId( $s_ComprobanteTipoRefId )
    {
        $this->s_ComprobanteTipoRefId = $s_ComprobanteTipoRefId;
    }

    /* Obtiene el valor del campo ComprobanteTipoRefId */
    public function getComprobanteTipoRefId()
    {
        return $this->s_ComprobanteTipoRefId;
    }

    /* Establece el valor del campo ComprobanteSerieNumeroRef */
    public function setComprobanteSerieNumeroRef( $s_ComprobanteSerieNumeroRef )
    {
        $this->s_ComprobanteSerieNumeroRef = $s_ComprobanteSerieNumeroRef;
    }

    /* Obtiene el valor del campo ComprobanteSerieNumeroRef */
    public function getComprobanteSerieNumeroRef()
    {
        return $this->s_ComprobanteSerieNumeroRef;
    }

    /* Establece el valor del campo ComprobanteFechaEmisionRef */
    public function setComprobanteFechaEmisionRef( $d_ComprobanteFechaEmisionRef )
    {
        $this->d_ComprobanteFechaEmisionRef = $d_ComprobanteFechaEmisionRef;
    }

    /* Obtiene el valor del campo ComprobanteFechaEmisionRef */
    public function getComprobanteFechaEmisionRef()
    {
        return $this->d_ComprobanteFechaEmisionRef;
    }

    /* Establece el valor del campo Estado */
    public function setEstado( $s_Estado )
    {
        $this->s_Estado = $s_Estado;
    }

    /* Obtiene el valor del campo Estado */
    public function getEstado()
    {
        return $this->s_Estado;
    }

    /* Establece el valor del campo EstadoPagado */
    public function setEstadoPagado( $s_EstadoPagado )
    {
        $this->s_EstadoPagado = $s_EstadoPagado;
    }

    /* Obtiene el valor del campo EstadoPagado */
    public function getEstadoPagado()
    {
        return $this->s_EstadoPagado;
    }

    /* Establece el valor del campo FechaPago */
    public function setFechaPago( $d_FechaPago )
    {
        $this->d_FechaPago = $d_FechaPago;
    }

    /* Obtiene el valor del campo FechaPago */
    public function getFechaPago()
    {
        return $this->d_FechaPago;
    }

    /* Establece el valor del campo UsuarioCreacion */
    public function setUsuarioCreacion( $s_UsuarioCreacion )
    {
        $this->s_UsuarioCreacion = $s_UsuarioCreacion;
    }

    /* Obtiene el valor del campo UsuarioCreacion */
    public function getUsuarioCreacion()
    {
        return $this->s_UsuarioCreacion;
    }

    /* Establece el valor del campo FechaCreacion */
    public function setFechaCreacion( $d_FechaCreacion )
    {
        $this->d_FechaCreacion = $d_FechaCreacion;
    }

    /* Obtiene el valor del campo FechaCreacion */
    public function getFechaCreacion()
    {
        return $this->d_FechaCreacion;
    }

    /* Establece el valor del campo UsuarioModificacion */
    public function setUsuarioModificacion( $s_UsuarioModificacion )
    {
        $this->s_UsuarioModificacion = $s_UsuarioModificacion;
    }

    /* Obtiene el valor del campo UsuarioModificacion */
    public function getUsuarioModificacion()
    {
        return $this->s_UsuarioModificacion;
    }

    /* Establece el valor del campo FechaModificacion */
    public function setFechaModificacion( $d_FechaModificacion )
    {
        $this->d_FechaModificacion = $d_FechaModificacion;
    }

    /* Obtiene el valor del campo FechaModificacion */
    public function getFechaModificacion()
    {
        return $this->d_FechaModificacion;
    }

    public function getJsonSerialize()
    {
        return 
        [
            'ObligacionesId' => $this->getObligacionesId(),
            'IdCompania' => $this->getIdCompania(),
            'IdSucursal' => $this->getIdSucursal(),
            'IdTipoDocumento' => $this->getIdTipoDocumento(),
            'Periodo' => $this->getPeriodo(),
            'FechaEmision' => $this->getFechaEmision(),
            'FechaVencimiento' => $this->getFechaVencimiento(),
            'FechaProgramacion' => $this->getFechaProgramacion(),
            'DocumentoSerie' => $this->getDocumentoSerie(),
            'DocumentoNumero' => $this->getDocumentoNumero(),
            'DocumentoSerieNumero' => $this->getDocumentoSerieNumero(),
            'NumeroOC' => $this->getNumeroOC(),
            'ProveedorId' => $this->getProveedorId(),
            'ProveedorDocTipo' => $this->getProveedorDocTipo(),
            'ProveedorDocNum' => $this->getProveedorDocNum(),
            'ProveedorNombre' => $this->getProveedorNombre(),
            'IdProyecto' => $this->getIdProyecto(),
            'ProyectoNombre' => $this->getProyectoNombre(),
            'Descripcion' => $this->getDescripcion(),
            'TerminoId' => $this->getTerminoId(),
            'MetodoPagoId' => $this->getMetodoPagoId(),
            'IdMoneda' => $this->getIdMoneda(),
            'TipoCambio' => $this->getTipoCambio(),
            'AfectoIGV' => $this->getAfectoIGV(),
            'MontoAfecto' => $this->getMontoAfecto(),
            'MontoAfectoMN' => $this->getMontoAfectoMN(),
            'MontoNoAfecto' => $this->getMontoNoAfecto(),
            'MontoNoAfectoMN' => $this->getMontoNoAfectoMN(),
            'MontoIGV' => $this->getMontoIGV(),
            'MontoIGVMN' => $this->getMontoIGVMN(),
            'MontoTotal' => $this->getMontoTotal(),
            'MontoTotalMN' => $this->getMontoTotalMN(),
            'MontoPagado' => $this->getMontoPagado(),
            'MontoPagadoMN' => $this->getMontoPagadoMN(),
            'MontoSaldo' => $this->getMontoSaldo(),
            'MontoSaldoMN' => $this->getMontoSaldoMN(),
            'ComprobanteRefId' => $this->getComprobanteRefId(),
            'ComprobanteTipoRefId' => $this->getComprobanteTipoRefId(),
            'ComprobanteSerieNumeroRef' => $this->getComprobanteSerieNumeroRef(),
            'ComprobanteFechaEmisionRef' => $this->getComprobanteFechaEmisionRef(),
            'Estado' => $this->getEstado(),
            'EstadoPagado' => $this->getEstadoPagado(),
            'FechaPago' => $this->getFechaPago(),
            'UsuarioCreacion' => $this->getUsuarioCreacion(),
            'FechaCreacion' => $this->getFechaCreacion(),
            'UsuarioModificacion' => $this->getUsuarioModificacion(),
            'FechaModificacion' => $this->getFechaModificacion(),
        ];
    }

    public function toArray()
    {
        return $this->processArray( get_object_vars( $this ) ); 
    }

    private function processArray( $array )
    {
        foreach( $array as $key => $value ) 
        {
            if ( is_object( $value ) )
            {
                $array[$key] = $value->toArray();
            }
            if ( is_array( $value ) ) 
            {
                $array[$key] = $this->processArray( $value );
            }
        }
        return $array;
    }

    public function __toString()
    {
        return json_encode( $this->toArray() ); 
    }

    /* Recupera un objeto CP_ObligacionesBN desde un RecordSet */
    public static function retrieveByRs( $o_CP_ObligacionesRs )
    {
        $o_CP_ObligacionesBN = new CP_ObligacionesBN();
        $o_CP_ObligacionesBN->setObligacionesId( ( integer ) $o_CP_ObligacionesRs[ "ObligacionesId" ] );
        $o_CP_ObligacionesBN->setIdCompania( ( integer ) $o_CP_ObligacionesRs[ "IdCompania" ] );
        $o_CP_ObligacionesBN->setIdSucursal( ( integer ) $o_CP_ObligacionesRs[ "IdSucursal" ] );
        $o_CP_ObligacionesBN->setIdTipoDocumento( $o_CP_ObligacionesRs[ "IdTipoDocumento" ] );
        $o_CP_ObligacionesBN->setPeriodo( $o_CP_ObligacionesRs[ "Periodo" ] );
        $o_CP_ObligacionesBN->setFechaEmision( utilTimestamp::getTimestamp( $o_CP_ObligacionesRs[ "FechaEmision" ], "Y-m-d" ) );
        $o_CP_ObligacionesBN->setFechaVencimiento( utilTimestamp::getTimestamp( $o_CP_ObligacionesRs[ "FechaVencimiento" ], "Y-m-d" ) );
        $o_CP_ObligacionesBN->setFechaProgramacion( utilTimestamp::getTimestamp( $o_CP_ObligacionesRs[ "FechaProgramacion" ], "Y-m-d" ) );
        $o_CP_ObligacionesBN->setDocumentoSerie( $o_CP_ObligacionesRs[ "DocumentoSerie" ] );
        $o_CP_ObligacionesBN->setDocumentoNumero( $o_CP_ObligacionesRs[ "DocumentoNumero" ] );
        $o_CP_ObligacionesBN->setDocumentoSerieNumero( $o_CP_ObligacionesRs[ "DocumentoSerieNumero" ] );
        $o_CP_ObligacionesBN->setNumeroOC( ( integer ) $o_CP_ObligacionesRs[ "NumeroOC" ] );
        $o_CP_ObligacionesBN->setProveedorId( ( integer ) $o_CP_ObligacionesRs[ "ProveedorId" ] );
        $o_CP_ObligacionesBN->setProveedorDocTipo( $o_CP_ObligacionesRs[ "ProveedorDocTipo" ] );
        $o_CP_ObligacionesBN->setProveedorDocNum( $o_CP_ObligacionesRs[ "ProveedorDocNum" ] );
        $o_CP_ObligacionesBN->setProveedorNombre( $o_CP_ObligacionesRs[ "ProveedorNombre" ] );
        $o_CP_ObligacionesBN->setIdProyecto( ( integer ) $o_CP_ObligacionesRs[ "IdProyecto" ] );
        $o_CP_ObligacionesBN->setProyectoNombre( $o_CP_ObligacionesRs[ "ProyectoNombre" ] );
        $o_CP_ObligacionesBN->setDescripcion( $o_CP_ObligacionesRs[ "Descripcion" ] );
        $o_CP_ObligacionesBN->setTerminoId( ( integer ) $o_CP_ObligacionesRs[ "TerminoId" ] );
        $o_CP_ObligacionesBN->setMetodoPagoId( ( integer ) $o_CP_ObligacionesRs[ "MetodoPagoId" ] );
        $o_CP_ObligacionesBN->setIdMoneda( $o_CP_ObligacionesRs[ "IdMoneda" ] );
        $o_CP_ObligacionesBN->setTipoCambio( ( float ) $o_CP_ObligacionesRs[ "TipoCambio" ] );
        $o_CP_ObligacionesBN->setAfectoIGV( ( integer ) $o_CP_ObligacionesRs[ "AfectoIGV" ] );
        $o_CP_ObligacionesBN->setMontoAfecto( ( float ) $o_CP_ObligacionesRs[ "MontoAfecto" ] );
        $o_CP_ObligacionesBN->setMontoAfectoMN( ( float ) $o_CP_ObligacionesRs[ "MontoAfectoMN" ] );
        $o_CP_ObligacionesBN->setMontoNoAfecto( ( float ) $o_CP_ObligacionesRs[ "MontoNoAfecto" ] );
        $o_CP_ObligacionesBN->setMontoNoAfectoMN( ( float ) $o_CP_ObligacionesRs[ "MontoNoAfectoMN" ] );
        $o_CP_ObligacionesBN->setMontoIGV( ( float ) $o_CP_ObligacionesRs[ "MontoIGV" ] );
        $o_CP_ObligacionesBN->setMontoIGVMN( ( float ) $o_CP_ObligacionesRs[ "MontoIGVMN" ] );
        $o_CP_ObligacionesBN->setMontoTotal( ( float ) $o_CP_ObligacionesRs[ "MontoTotal" ] );
        $o_CP_ObligacionesBN->setMontoTotalMN( ( float ) $o_CP_ObligacionesRs[ "MontoTotalMN" ] );
        $o_CP_ObligacionesBN->setMontoPagado( ( float ) $o_CP_ObligacionesRs[ "MontoPagado" ] );
        $o_CP_ObligacionesBN->setMontoPagadoMN( ( float ) $o_CP_ObligacionesRs[ "MontoPagadoMN" ] );
        $o_CP_ObligacionesBN->setMontoSaldo( ( float ) $o_CP_ObligacionesRs[ "MontoSaldo" ] );
        $o_CP_ObligacionesBN->setMontoSaldoMN( ( float ) $o_CP_ObligacionesRs[ "MontoSaldoMN" ] );
        $o_CP_ObligacionesBN->setComprobanteRefId( ( integer ) $o_CP_ObligacionesRs[ "ComprobanteRefId" ] );
        $o_CP_ObligacionesBN->setComprobanteTipoRefId( $o_CP_ObligacionesRs[ "ComprobanteTipoRefId" ] );
        $o_CP_ObligacionesBN->setComprobanteSerieNumeroRef( $o_CP_ObligacionesRs[ "ComprobanteSerieNumeroRef" ] );
        $o_CP_ObligacionesBN->setComprobanteFechaEmisionRef( utilTimestamp::getTimestamp( $o_CP_ObligacionesRs[ "ComprobanteFechaEmisionRef" ], "Y-m-d" ) );
        $o_CP_ObligacionesBN->setEstado( $o_CP_ObligacionesRs[ "Estado" ] );
        $o_CP_ObligacionesBN->setEstadoPagado( $o_CP_ObligacionesRs[ "EstadoPagado" ] );
        $o_CP_ObligacionesBN->setFechaPago( utilTimestamp::getTimestamp( $o_CP_ObligacionesRs[ "FechaPago" ], "Y-m-d H:i:s" ) );
        $o_CP_ObligacionesBN->setUsuarioCreacion( $o_CP_ObligacionesRs[ "UsuarioCreacion" ] );
        $o_CP_ObligacionesBN->setFechaCreacion( utilTimestamp::getTimestamp( $o_CP_ObligacionesRs[ "FechaCreacion" ], "Y-m-d H:i:s" ) );
        $o_CP_ObligacionesBN->setUsuarioModificacion( $o_CP_ObligacionesRs[ "UsuarioModificacion" ] );
        $o_CP_ObligacionesBN->setFechaModificacion( utilTimestamp::getTimestamp( $o_CP_ObligacionesRs[ "FechaModificacion" ], "Y-m-d H:i:s" ) );
        return $o_CP_ObligacionesBN;
    }
}
?>